import torch
import torch.nn as nn


class Model(nn.Module):
    def __init__(self):
        super(Model, self).__init__()

    def forward(self, log_probs: torch.Tensor, advantages: torch.Tensor) -> torch.Tensor:
        loss = -(log_probs * advantages).mean()
        return loss


batch_size = 32


def get_inputs():
    log_probs = torch.randn(batch_size)
    advantages = torch.randn(batch_size)
    return [log_probs, advantages]


def get_init_inputs():
    return []